Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.strategy
Class SingleDailyBuildStrategy

    java.lang.Object
      com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
          com.atlassian.bamboo.build.strategy.QuartzStrategyImpl
              com.atlassian.bamboo.build.strategy.SingleDailyBuildStrategy

All Implemented Interfaces:
  BuildStrategy, QuartzStrategy, ConvertibleFromConfig

    public class SingleDailyBuildStrategy

extends QuartzStrategyImpl

Builds once a day at a specified time.

Field Summary

Fields inherited from class com.atlassian.bamboo.build.strategy.QuartzStrategyImpl
`BUILD_JOB_GROUP, BUILD_STRATEGY, buildTriggered`

Fields inherited from class com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
`changeList`

Constructor Summary
`SingleDailyBuildStrategy()`

Method Summary
`String` | `getDescription()`
`int` | `getHour()`
`String` | `getKey()` A lowercase string key to identify the build strategy
`int` | `getMinute()`
`String` | `getName()` Returns the display name of the strategy
`void` | `initialiseJob(Build build)` must be re runnable
`void` | `populateFromConfig(HierarchicalConfiguration config)` Update the current object with data in the `FieldValueItemHolder`
`void` | `setHour(int hour)`
`void` | `setMinute(int minute)`
`HierarchicalConfiguration` | `toConfiguration()` Generate a `FieldValueItemHolder` from the current state of the object
`ErrorCollection` | `validate(BuildConfiguration buildConfiguration)` Takes in a `BuildConfiguration` and returns any errors possible

Methods inherited from class com.atlassian.bamboo.build.strategy.QuartzStrategyImpl
`getScheduler, init, isBuildTriggered, removeJob, requiresBuild, requiresPreBuildClean, setBuildTriggered, setScheduler`

Methods inherited from class com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
`addDefaultValues, getBuildMessage, getChangeList, log, populateChangeList, setBuildMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.build.strategy.BuildStrategy
`addDefaultValues, getBuildMessage, getChangeList, setBuildMessage`

Constructor Detail

### SingleDailyBuildStrategy

    public SingleDailyBuildStrategy()

Method Detail

### getKey

    public String getKey()

  Description copied from interface: `BuildStrategy`
  A lowercase string key to identify the build strategy

  Returns:
    String must not be null

### getName

    public String getName()

  Description copied from interface: `BuildStrategy`
  Returns the display name of the strategy

  Returns:
    String must not be null

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `BuildStrategy`
  Overrides:
    `getDescription` in class `AbstractBuildStrategy`

### toConfiguration

    public HierarchicalConfiguration toConfiguration()

  Description copied from interface: `ConvertibleFromConfig`
  Generate a `FieldValueItemHolder` from the current state of the object

  Specified by:
    `toConfiguration` in interface `ConvertibleFromConfig`
  Overrides:
    `toConfiguration` in class `AbstractBuildStrategy`
  Returns:
    Always returns an `FieldValueItemHolder`. Never null

### populateFromConfig

    public void populateFromConfig(HierarchicalConfiguration config)

  Description copied from interface: `ConvertibleFromConfig`
  Update the current object with data in the `FieldValueItemHolder`

  Specified by:
    `populateFromConfig` in interface `ConvertibleFromConfig`
  Overrides:
    `populateFromConfig` in class `AbstractBuildStrategy`

### validate

    public ErrorCollection validate(BuildConfiguration buildConfiguration)

  Description copied from interface: `BuildStrategy`
  Takes in a `BuildConfiguration` and returns any errors possible

  Specified by:
    `validate` in interface `BuildStrategy`
  Overrides:
    `validate` in class `AbstractBuildStrategy`
  Parameters:
    `buildConfiguration` - not null
  Returns:
    `ErrorCollection`. must not be null

### initialiseJob

    public void initialiseJob(Build build)

  Description copied from interface: `QuartzStrategy`
  must be re runnable

### getHour

    public int getHour()

### setHour

    public void setHour(int hour)

### getMinute

    public int getMinute()

### setMinute

    public void setMinute(int minute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.